# Uses of Interface
com.sun.jdi.request.ExceptionRequest

Packages that use ExceptionRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of ExceptionRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return ExceptionRequest
Modifier and Type
Method
Description
`ExceptionRequest`
EventRequestManager.`createExceptionRequest(ReferenceType refType, boolean notifyCaught, boolean notifyUncaught)`
Creates a new disabled `ExceptionRequest`.
Methods in com.sun.jdi.request that return types with arguments of type ExceptionRequest
Modifier and Type
Method
Description
`List<ExceptionRequest>`
EventRequestManager.`exceptionRequests()`
Return an unmodifiable list of the enabled and disabled exception requests.